


    /*********************************/
    .button.start2DButton {
        background: #fff;
        box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.26), 0px 2px 10px 0px rgba(0, 0, 0, 0.16);
        border: none;
        border-radius: 4px;
        color: #000;
        display: inline-block;
        float: none;
        height: 40px;
        font-size: 15px;
        -webkit-transition: box-shadow .45s ease, background 0.75s ease;
        -moz-transition: box-shadow .45s ease, background 0.75s ease;
        -ms-transition: box-shadow .45s ease, background 0.75s ease;
        -o-transition: box-shadow .45s ease, background 0.75s ease;
        transition: box-shadow .45s ease, background 0.75s ease;
    }



    #MSXLayer.new2D {
        position: fixed;
        /*background: gray;*/
        border-color: #fff;
        padding: 0;
        -webkit-transition: box-shadow .3s ease-out, background 0.3s ease-out;
        -moz-transition: box-shadow .3s ease-out, background 0.3s ease-out;
        -ms-transition: box-shadow .3s ease-out, background 0.3s ease-out;
        -o-transition: box-shadow .3s ease-out, background 0.3s ease-out;
        transition: box-shadow .3s ease-out, background 0.3s ease-out;
    }

    #MSXLayer {
        background: #fff;
        border-radius: 6px;
        display: none;
        left: 50%;
        padding: 12px 0 12px 12px;
        position: fixed;
        top: 140px;
        z-index: 9999;
        background-color: #EEE;
    }

    #MSXLayer .layerLoad {
        background: rgba(255, 255, 255, .9);
        background-image: url(../../images/loading.gif);
        background-position: center;
        background-repeat: no-repeat;
        height: 100%;
        left: 0;
        position: absolute;
        top: 0;
        width: 100%;
        z-index: 3;
    }

    #MSXLayer a.closeLayer {
        background: #fff;
        border: 2px solid #222;
        border-radius: 50%;
        color: #444;
        display: none;
        font-size: 22px;
        font-weight: 700;
        height: 36px;
        line-height: 34px;
        position: absolute;
        right: -15px;
        text-align: center;
        text-decoration: none !important;
        top: -15px;
        width: 36px;
        z-index: 2;
        -webkit-box-shadow: 0 0 5px 1px rgba(125, 125, 125, .6);
        box-shadow: 0 0 5px 1px rgba(125, 125, 125, .6);
    }

    #MSXLayer a,
    #MSXLayer a:focus {
        color: #288b20;
        outline: 0;
        text-decoration: none;
    }

    #MSXLayer .content {
        height: 100%;
        overflow: hidden;
        width: 100%;
    }

    #MSXLayer.new2D #MSXLayerContent {
        padding: 0;
        position: relative;
    }

    #MSXLayer.productGalleryOverlay #MSXLayerContent,
    #MSXLayer.new2D #MSXLayerContent,
    #MSXLayer.ieFitting #MSXLayerContent {
        overflow: hidden !important;
    }

    #MSXLayerContent {
        display: none;
        float: left;
        height: 100%;
        overflow: hidden;
        overflow-y: auto;
        padding-right: 12px;
        width: 100%;
    }

    .webCamError {
        background: #00637F;
        border-radius: 2px;
        box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.20), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        color: #fff;
        font-size: 14px;
        left: 50%;
        line-height: 20px;
        padding: 18px 24px;
        padding-right: 66px;
        position: fixed;
        top: 0;
        width: 616px;
        z-index: 100;
        -webkit-transform: translate(-50%, -120%);
        -moz-transform: translate(-50%, -120%);
        -ms-transform: translate(-50%, -120%);
        -o-transform: translate(-50%, -120%);
        transform: translate(-50%, -120%);
        -webkit-transition: all .25s ease-out;
        -moz-transition: all .25s ease-out;
        -ms-transition: all .25s ease-out;
        -o-transition: all .25s ease-out;
        transition: all .25s ease-out;
    }

    .webCamError:after {
        content: 'x';
        cursor: pointer;
        font-family: msx;
        font-size: 20px;
        position: absolute;
        right: 20px;
        top: 18px;
    }

    .twoD_box {
        height: 100%;
        width: 100%;
    }

.twoD_head, #TwoD_Actions {
    /*background: #fff;*/
    /*padding: 6px 40px;*/
    -webkit-transition: all .45s ease;
    -moz-transition: all .45s ease;
    -ms-transition: all .45s ease;
    -o-transition: all .45s ease;
    transition: all .45s ease;
    margin: 7px 39px;
}
    .twoD_head h1 {
        color: #000;
        font-size: 24px;
        font-weight: normal;
    }

    #MSXLayer h1,
    #MSXLayer h2,
    #MSXLayer h3,
    #MSXLayer h4,
    #MSXLayer h5,
    #MSXLayer h6 {
        font-size: 18px;
        line-height: 27px;
        margin: 0;
        padding: 0;
    }

    .twoD_head h1:before {
        color: #c2c2c2;
        font-size: 36px;
        padding-right: 18px;
    }

    [data-icon]:before {
        padding-right: 4px;
    }

    .iconAfter[data-icon]:after,
    [data-icon]:before {
        display: inline-block;
        font-family: msx;
        content: attr(data-icon);
        font-size: 13px;
        font-style: normal;
        font-weight: 400;
        speak: none;
        text-decoration: none !important;
        text-transform: none !important;
        vertical-align: top;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
    }

    #UploadArea,
    #VideoArea {
        height: 530px;
        text-align: center;
        position: relative;
        z-index: 9999;
    }

    #UploadNewPhoto {
        opacity: 1;
        z-index: 2;
        -webkit-transform: translate(-125%, -50%);
        -moz-transform: translate(-125%, -50%);
        -ms-transform: translate(-125%, -50%);
        -o-transform: translate(-125%, -50%);
        transform: translate(-125%, -50%);
    }

.createPhotoArea {
    background: #fff;
    box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.08), 0px 1px 3px 0px rgba(0, 0, 0, 0.20);
    border-radius: 2px;
    cursor: pointer;
    height: 287px;
    left: 50%;
    opacity: 0;
    padding: 18px;
    position: absolute;
    top: 50%;
    width: 262px;
    z-index: 1;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-transition: all .25s ease;
    -moz-transition: all .25s ease;
    -ms-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
}
    .createPhotoArea img {
        height: auto;
        margin-bottom: 8px;
        width: 100%;
    }


    #MSXLayer object {
        display: block;
    }

    #MSXLayer p {
        margin: 0 0 12px;
        padding: 0;
    }

    #MSXLayer  .spex-h3 {
        font-family: Roboto, Arial, sans-serif;
        color: rgba(0, 0, 0, .87);
        font-size: 20px;
        font-weight: 700;
        letter-spacing: .5px;
        line-height: 1.4;
        margin: 0 0 16px;
    }

    #MSXLayer   h2,
    #MSXLayer   h3,
    #MSXLayer  h4,
    #MSXLayer  h5 {
        clear: both;
        margin-bottom: 12px;
    }

    #MSXLayer h3 {
        font-size: 15px;
        line-height: 19px;
    }

    #UploadArea:not(.noWebCam) #CaptureNewPhoto {
        opacity: 1;
        -webkit-transform: translate(25%, -50%);
        -moz-transform: translate(25%, -50%);
        -ms-transform: translate(25%, -50%);
        -o-transform: translate(25%, -50%);
        transform: translate(25%, -50%);
    }

    .hoverHint {
        background: #00a6d4;
        color: #fff;
        font-size: 17px;
        font-weight: bold;
        left: 50%;
        opacity: 0;
        padding: 28px 42px;
        position: absolute;
        top: 50%;
        z-index: 0;
        -webkit-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        -webkit-transition: opacity .25s ease;
        -moz-transition: opacity .25s ease;
        -ms-transition: opacity .25s ease;
        -o-transition: opacity .25s ease;
        transition: opacity .25s ease;
    }

    .JS .jsHide,
    .hide,
    .noJsHide {
        display: none !important;
    }

    a.twoD_backlink {
        color: #4c4c4c;
        font-size: 15px;
        left: 24px;
        opacity: 0.8;
        position: absolute;
        top: 24px;
        -webkit-transition: opacity .2s ease-in;
        -moz-transition: opacity .2s ease-in;
        -ms-transition: opacity .2s ease-in;
        -o-transition: opacity .2s ease-in;
        transition: opacity .2s ease-in;
    }

    .videoContainer {
        background: #000;
        display: inline-block;
        height: 423px;
        margin-top: 50%;
        overflow: hidden;
        position: relative;
        width: 638px;
        -webkit-transform: translateY(-100%);
        -moz-transform: translateY(-100%);
        -ms-transform: translateY(-100%);
        -o-transform: translateY(-100%);
        transform: translateY(-100%);
    }

    #CapturePhoto {
        background: none;
        border: 4px solid rgba(255, 255, 255, 0.8);
        border-radius: 50%;
        bottom: 18px;
        color: #fff;
        height: 60px;
        left: 50%;
        padding: 2px;
        position: absolute;
        text-align: center;
        width: 60px;
        z-index: 1;
        -webkit-transform: translateX(-50%);
        -moz-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        -o-transform: translateX(-50%);
        transform: translateX(-50%);
        -webkit-transition: all .2s ease-in-out;
        -moz-transition: all .2s ease-in-out;
        -ms-transition: all .2s ease-in-out;
        -o-transition: all .2s ease-in-out;
        transition: all .2s ease-in-out;
    }

    #CapturePhoto span {
        background: rgba(0, 166, 212, 0.8);
        border-radius: 50%;
        display: block;
        height: 48px;
        width: 48px;
    }

    video#TwoD_Monitor {
        height: auto;
        width: 100%;
        transform: scale(-1, 1);
        -webkit-transform: scale(-1, 1);
        z-index: 0;
    }


    .twoDActions {
        background: rgba(0, 0, 0, 0.3);
        background: -moz-linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.30) 30%, rgba(0, 0, 0, 0) 100%);
        background: -webkit-linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.30) 30%, rgba(0, 0, 0, 0) 100%);
        background: linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.30) 30%, rgba(0, 0, 0, 0) 100%);
        bottom: 0;
        height: 23%;
        left: 0;
        padding: 0 30px;
        position: absolute;
        text-align: center;
        width: 100%;
    }

    #MSXLayer  a.defaultAction {
        bottom: 18px;
        color: #fff;
        font-size: 18px;
        left: 90px;
        line-height: 22px;
        padding: 6px 0;
        position: absolute;
        text-decoration: none;
    }

    .twoDActions a {
        color: #fff;
        display: inline-block;
        font-size: 15px;
        opacity: 0.8;
        padding: 6px;
        -webkit-transition: opacity .19s ease;
        -moz-transition: opacity .19s ease;
        -ms-transition: opacity .19s ease;
        -o-transition: opacity .19s ease;
        transition: opacity .19s ease;
    }

    #SetPhotoBtn {
        left: auto;
        right: 90px;
    }

#AdjustmentArea {
    display: flex;
    justify-content: center;
    padding: 24px;
    position: relative;
    width: 100%;
    direction: rtl;
    z-index: 9999;
}

    .canvasBox {
        flex-grow: 2;
         height: 100%;
        max-height: 423px;
        position: relative;
        max-width: 638px;
        left: -35px;
    }

    #ActionCanvas {
        left: 0;
        position: absolute;
        top: 0;
        z-index: 1;
    }

    .canvasBox canvas {
         height: 100%;
         width: 100% !important;
        object-fit: contain;
    }

    #ImageCanvas {
        z-index: 0;
    }

    .explanation {
        flex-grow: 1;
        max-width: 280px;
        padding-left: 35px;
        height: 405px;
    }

    #TwoD_Actions {
        /*padding: 12px;*/
        text-align: right;
        white-space: nowrap;
    }

    #TwoD_Actions button {
        display: inline-block;
        float: none;
        margin-left: 10px;
    }

    a.button45er,
    button.button45er {
        font-size: 20px;
        height: 45px;
        line-height: 40px;
    }

    a.button,
    a.button.disabled:hover,
    button,
    button[disabled]:active,
    button[disabled]:hover,
    select.customSelect[disabled]+button.customSelect,
    select.customSelect[disabled]+button.customSelect:hover {
        background: #fff;
        background: linear-gradient(to bottom, #fff 0, #e6e6e6 100%);
    }


    #TwoD_Adjustment #TwoD_Step {
        min-width: 205px;
        text-align: center;
    }

    a.button.green,
    button.green,
    button[disabled].green:active a.button.green.disabled:hover,
    button[disabled].green:hover {
        color: #fff;
        border: 1px solid #71b42f;
        background: #288b20;
        background: linear-gradient(to bottom, #71b42f 0, #288b20 100%);
    }


    #choosePhotoBtn{
        float: right;
    }
    #TwoD_Adjustment #TwoD_Step .loader {
        left: 6px;
    }

    #MSXLayer   button .loader {
        display: none;
    }

    .loader {
        height: 34px;
        margin-top: -17px;
        position: absolute;
        top: 50%;
        width: 34px;
        -moz-transform: scale(.6);
        -webkit-transform: scale(.6);
        -ms-transform: scale(.6);
        -o-transform: scale(.6);
        transform: scale(.6);
    }

    #frotateG_01 {
        left: 0;
        top: 14px;
        -moz-animation-delay: .39s;
        -webkit-animation-delay: .39s;
        -ms-animation-delay: .39s;
        -o-animation-delay: .39s;
        animation-delay: .39s;
    }

    .f_circleG {
        position: absolute;
        background-color: #222;
        height: 6px;
        width: 6px;
        -moz-border-radius: 3px;
        -moz-animation-name: f_fadeG;
        -moz-animation-duration: 1.04s;
        -moz-animation-iteration-count: infinite;
        -moz-animation-direction: linear;
        -webkit-border-radius: 3px;
        -webkit-animation-name: f_fadeG;
        -webkit-animation-duration: 1.04s;
        -webkit-animation-iteration-count: infinite;
        -webkit-animation-direction: linear;
        -ms-border-radius: 3px;
        -ms-animation-name: f_fadeG;
        -ms-animation-duration: 1.04s;
        -ms-animation-iteration-count: infinite;
        -ms-animation-direction: linear;
        -o-border-radius: 3px;
        -o-animation-name: f_fadeG;
        -o-animation-duration: 1.04s;
        -o-animation-iteration-count: infinite;
        -o-animation-direction: linear;
        border-radius: 3px;
        animation-name: f_fadeG;
        animation-duration: 1.04s;
        animation-iteration-count: infinite;
        animation-direction: linear;
    }

    #frotateG_02 {
        left: 4px;
        top: 4px;
        -moz-animation-delay: .52s;
        -webkit-animation-delay: .52s;
        -ms-animation-delay: .52s;
        -o-animation-delay: .52s;
        animation-delay: .52s;
    }

    #frotateG_03 {
        left: 14px;
        top: 0;
        -moz-animation-delay: .65s;
        -webkit-animation-delay: .65s;
        -ms-animation-delay: .65s;
        -o-animation-delay: .65s;
        animation-delay: .65s;
    }

    #frotateG_04 {
        right: 4px;
        top: 4px;
        -moz-animation-delay: .78s;
        -webkit-animation-delay: .78s;
        -ms-animation-delay: .78s;
        -o-animation-delay: .78s;
        animation-delay: .78s;
    }

    #frotateG_05 {
        right: 0;
        top: 14px;
        -moz-animation-delay: .91s;
        -webkit-animation-delay: .91s;
        -ms-animation-delay: .91s;
        -o-animation-delay: .91s;
        animation-delay: .91s;
    }

    #frotateG_06 {
        right: 4px;
        bottom: 4px;
        -moz-animation-delay: 1.04s;
        -webkit-animation-delay: 1.04s;
        -ms-animation-delay: 1.04s;
        -o-animation-delay: 1.04s;
        animation-delay: 1.04s;
    }

    #frotateG_07 {
        left: 14px;
        bottom: 0;
        -moz-animation-delay: 1.17s;
        -webkit-animation-delay: 1.17s;
        -ms-animation-delay: 1.17s;
        -o-animation-delay: 1.17s;
        animation-delay: 1.17s;
    }

    #frotateG_08 {
        left: 4px;
        bottom: 4px;
        -moz-animation-delay: 1.3s;
        -webkit-animation-delay: 1.3s;
        -ms-animation-delay: 1.3s;
        -o-animation-delay: 1.3s;
        animation-delay: 1.3s;
    }

    #TwoD_Adjustment.adjust #TwoD_Step var.adjust {
        display: inline;
    }

    #TwoD_Adjustment #TwoD_Step var {
        display: none;
    }

    #MSXLayer  var {
        font-style: normal;
    }

    #MSXLayer  .mark{
        background-color: transparent!important;
    }

    #result {
        display: block;
        position: relative;
        margin-top: 40px;
    }

    #MSXLayer  .face {
        position: absolute;
        height: 0px;
        width: 0px;
        background-color: transparent;
        ;
        border: 4px solid rgba(10, 10, 10, 0.5);
    }

    .explanation li.done:before {
        content: '\2713';
        font-family: msx;
    }

    .explanation li.active:before,
    .explanation li.done:before {
        background: #3EAB3F;
    }

    .explanation li:before {
        background: #a0a0a0;
        border-radius: 50%;

        color: #fff;
        content: attr(data-icon);
        font-family: Arial;
        font-size: 15px;
        height: 30px;
        left: 30px;
        line-height: 30px;
        padding: 0;
        position: relative;
        text-align: center;
        top: -6px;
        width: 30px;
    }

    [data-icon]:before {
        padding-right: 4px;
    }

    .iconAfter[data-icon]:after,
    [data-icon]:before {
        display: inline-block;
        font-family: msx;
        content: attr(data-icon);
        font-size: 13px;
        font-style: normal;
        font-weight: 400;
        speak: none;
        text-decoration: none !important;
        text-transform: none !important;
        vertical-align: top;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
    }

    .facedetection:before {
        content: '\2713';
        font-family: msx;
        font-size: 13px;
        height: 15.5px;
        text-align: center;
        width: 15.5px;
    }

    /********************************/

    product-card__visual-wrap {
        float: left;
        margin-right: 30px;
        width: 387px;
    }

.adjust p
{
    font-size: 12px
}
    #MSXLayer {
        height: 670px;
        width: 972px;
        margin-left: -486px;
        display: none;
        margin-top: 0px;
        top: 30px;
    }
#MSXLayerOverlay {
    background: #222;
    display: none;
    height: 100%;
    left: 0;
    opacity: .5;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 99;
    filter: Alpha(opacity=50);
}
.fa-camera
{
      margin-right: 15px;
}
.explanation {
    flex-grow: 1;
    max-width: 280px;
    padding-left: 35px;
    height: 405px;
    margin-top: 52px;
}
@media(max-width: 992px)
{
  #MSXLayer
{
          position:fixed;
        top: 50%;
        left: 50%;
        width:450px;
        height:auto;
        margin-top: -215px; /*set to a negative number 1/2 of your height*/
        margin-left: -225px; /*set to a negative number 1/2 of your width*/

       z-index:999999;

        border: none;
        border:  none;
        padding: 40px;
}
.createPhotoArea {
    background: #fff;
    box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.08), 0px 1px 3px 0px rgba(0, 0, 0, 0.20);
    border-radius: 2px;
    cursor: pointer;
    height: unset;
    left: 50%;
    opacity: 0;
    padding: 14px;
    position: absolute;
    top: 50%;
    z-index: 1;
}
.spex-h3 {
    font-family: Roboto, Arial, sans-serif;
    color: rgba(0, 0, 0, .87);
    font-size: 16px;
    font-weight: 700;
    letter-spacing: .5px;
    line-height: 1.4;
    margin: 0 0 16px;
}
.explanation {
    flex-grow: 1;
    max-width: unset;
    padding-left: 0px;
    height: unset;
    margin-top: 90px;
}
.twoD_head
{
    margin-bottom:40px;
}
.twoD_head, #TwoD_Actions
{
    background: unset;
    position: relative;
    /*top: 70px;*/
}
}
#MSXLayer a.closeLayer {
    background: #fff;
    border: 2px solid #222;
    border-radius: 50%;
    color: #444;
    display: none;
    font-size: 22px;
    font-weight: 700;
    height: 36px;
    line-height: 34px;
    position: absolute;
    right: 77px;
    text-align: center;
    text-decoration: none !important;
    top: -15px;
    width: 36px;
    z-index: 2;
    -webkit-box-shadow: 0 0 5px 1px rgba(125, 125, 125, .6);
    box-shadow: 0 0 5px 1px rgba(125, 125, 125, .6);
}
.explanation li:before , .explanation li.active:before, .explanation li.done:before
{
    display: none;
}
@media (max-width: 992px)
{
   .explanation {
    flex-grow: 1;
    max-width: unset;
    padding-left: 2px;
    margin-top: 76px;
}
}
@media (max-width: 992px)
{
    #MSXLayer {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        margin: 0 auto;
        width: 90% !important;

    }
    #UploadArea, #VideoArea {

    }
}

@media (max-width: 768px)
{


    .createPhotoArea {
        width: 165px;
    }

    .hidden-xs {
        display: block !important;
    }

    #UploadNewPhoto {
        -webkit-transform: translate(-105%, -50%);
        -moz-transform: translate(-105%, -50%);
        -ms-transform: translate(-105%, -50%);
        -o-transform: translate(-105%, -50%);
        transform: translate(-105%, -50%);
    }
    #UploadArea:not(.noWebCam) #CaptureNewPhoto {
        opacity: 1;
        -webkit-transform: translate(5%, -50%);
        -moz-transform: translate(5%, -50%);
        -ms-transform: translate(5%, -50%);
        -o-transform: translate(5%, -50%);
        transform: translate(5%, -50%);
    }

    .explanation {
        display: none;
    }
}




@media(max-width: 500px) {
    .hidden-xs {
        display: none !important;
    }
    /*.createPhotoArea {*/
    /*    width: 200px;*/
    /*    right: 0;*/
    /*    left: 0;*/
    /*    margin: 0 auto;*/
    /*    transform: unset !important;*/
    /*    top: 20%;*/
    /*}*/

    /*#AdjustmentArea {*/
    /*    padding: 24px 0;*/
    /*}*/

    #TwoD_Actions button {
        float: none;
        margin-left: 0;
        margin-bottom: 12px;
        font-size: 13px;
    }

    /*#TwoD_Actions {*/
    /*    padding: 0;*/
    /*    margin: 5px;*/
    /*}*/
 }
    /************************/


    .videoContainer {
        position: absolute !important;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) !important;
        margin-top: 0 !important;
    }
